#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module

%define		module		social_core
%define		pypi_name	social-auth-core
%define		egg_name	social_auth_core
Summary:	Python Social Auth - Core
Name:		python-%{pypi_name}
Version:	1.3.0
Release:	3
License:	BSD
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	7adc1a6f92a7847c09692b2ecb831891
URL:		https://python-social-auth-docs.readthedocs.io/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-mock = 1.0.1
BuildRequires:	python-saml >= 2.2.1
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-mock = 1.0.1
BuildRequires:	python3-saml >= 2.2.1
%endif
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python Social Auth is an easy to setup social
authentication/registration mechanism with support for several
frameworks and auth providers.

This is the core component of the python-social-auth ecosystem, it
implements the common interface to define new authentication backends
to third parties services, implement integrations with web frameworks
and storage solutions.

%package -n python3-%{pypi_name}
Summary:	Python Social Auth - Core
Group:		Libraries/Python

%description -n python3-%{pypi_name}
Python Social Auth is an easy to setup social
authentication/registration mechanism with support for several
frameworks and auth providers.

This is the core component of the python-social-auth ecosystem, it
implements the common interface to define new authentication backends
to third parties services, implement integrations with web frameworks
and storage solutions.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean

# rm tests (or subpackage?)
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/social_core/tests
%endif

%if %{with python3}
%py3_install

# rm tests (or subpackage?)
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/social_core/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc README.md LICENSE
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Fri Mar 05 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-social-auth-core.git;a=log;h=master

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 05162ca
- release 3 (by relup.sh)

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 35a9be4
- release 2 (by relup.sh)

* Fri Jul 21 2017 Elan Ruusamäe <glen@pld-linux.org> f7a20d2
- up to 1.3.0

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> 9425445
- test deps (unsolvable in pld)

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> b1c5c31
- cleanup unused doc bcond

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> aedd3c8
- update group; update py3 package summary

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> 771af50
- macro for python3 package name

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> 2bc1944
- update to 1.2.0

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> 9dbac6e
- rename python-social-auth.spec to python-social-auth-core.spec

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> a284443
- up to 0.2.21

* Wed Jun 22 2016 Elan Ruusamäe <glen@delfi.ee> 4132b3b
- skip python3 package (no python3-openid available)

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> 2da27cd
- drop requirements that pythoneggs already require

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> 01b69ab
- new, version 0.2.19

